<!--section-->
<section>
    <div class="container">
        <div class="row">
            <!--left-section-->
            <div class="col-md-3">
                <div class="cominfo">
                    <div class="clogo">
                        <figure>
                            <!-- <img src="images/ey_logo.png" alt="" class="img-circle" /> -->
                            <%= image_tag 'company_logo.png', class: 'img-circle' %>
                        </figure>
                        <h1><%= @petition_details.first['employer_name'] %></h1>
                    </div>
                    <div class="form-group">
                        <label>Industry</label>
                        <h2><%= @petition_details.first['industry'] %></h2>
                    </div>
                    <div class="form-group">
                        <label>Employees</label>
                        <h2><%= @petition_details.first['employees'] %></h2>
                    </div>
                    <!-- <div class="form-group"> <a data-toggle="tooltip" data-placement="right" title="Add to Favorite" href="#" class="fav-icon"></a> </div> -->
                    <div class="form-group">
                        <a data-toggle="tooltip" data-placement="right" title="Add to Favorite" href="#" class="fav-icon <%= @petition_details.first[:is_favorite] == true ? 'active' : '' %>" data-tab-type="<%= params[:tab_type]%>" data-company-id="<%= @petition_details.first['company_id'] %>" data-company-name="<%= @petition_details.first['employer_name'] %>" id="fav_company"></a>
                    </div>
                </div>
            </div>
            <!--/left-section-->

            <!--middle-section-->
            <div class="col-md-9 col-xs-12">
                <div class="article cdetails tracker">
                    <div class="header margin-bottom-15">
                        <h1><a href="<%= company_path(@petition_details.first['company_id']) %>" class="back-icon"></a>Sponsored Positions</h1>
                    </div>
                    <div class="article-content">
                        <div class="tabbar">
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#tab1" aria-controls="tab1" role="tab" data-toggle="tab">Petitions</a></li>
                                <li role="presentation"><a href="#tab2" aria-controls="tab2" role="tab" data-toggle="tab">Average Salary</a></li>
                            </ul>

                            <!-- Tab panes -->
                            <div class="tab-content" style="padding: 15px 0;">
                                <div role="tabpanel" class="tab-pane active" id="tab1">
                                    <div class="charts">
                                        <% max_petition = @petition_details.first['no_of_petition'].to_i + 10 %>
                                        <% chart_colors = [ 'cyan', 'lavender', 'aqua', 'mustard', 'pink', 'lemon', 'carrot', 'sea', 'purple', 'green' ] %>
                                        <% count = 0 %>
                                        <% @petition_details.each do |company| %>
                                            <div class="chart-cell">
                                                <a href="#">
                                                    <span><%= company['job_title'] %><b>(<%= number_with_delimiter(company['no_of_petition']) %>)</b></span>
                                                    <% percent = (company['no_of_petition'].to_f / max_petition.to_f) * 100 %>
                                                    <% logger.info "==percent==#{percent}" %>
                                                    <div class="charts__chart chart--p<%= percent.ceil.to_i %> chart--<%= chart_colors[count] %>" data-percent=""></div>
                                                </a>
                                            </div>
                                            <% if count >= chart_colors.count - 1 %>
                                                <% count = 0 %>
                                            <%  else %>
                                                <% count += 1 %>
                                            <% end %>
                                        <% end %>
                                    </div>
                                </div>
                                <div role="tabpanel" class="tab-pane" id="tab2">
                                    <div class="charts">

                                        <% max_petition = @average_details.first['wage_rate_of_pay_from'].to_i + 10 %>
                                        <% chart_colors = [ 'cyan', 'lavender', 'aqua', 'mustard', 'pink', 'lemon', 'carrot', 'sea', 'purple', 'green' ] %>
                                        <% count = 0 %>
                                        <% @average_details.each do |company| %>
                                            <div class="chart-cell">
                                                <a href="#">
                                                    <span><%= company['job_title'] %><b>(<%= "$#{number_to_human(company['wage_rate_of_pay_from'], format: '%n%u', precision: 2, units: { million: 'M', thousand: 'K' })}" %>)</b></span>
                                                    <% percent = (company['wage_rate_of_pay_from'].to_f / max_petition.to_f) * 100 %>
                                                    <% logger.info "==percent==#{percent}" %>
                                                    <div class="charts__chart chart--p<%= percent.ceil.to_i %> chart--<%= chart_colors[count] %>" data-percent=""></div>
                                                </a>
                                            </div>
                                            <% if count >= chart_colors.count - 1 %>
                                                <% count = 0 %>
                                            <%  else %>
                                                <% count += 1 %>
                                            <% end %>
                                        <% end %>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!--/middle-section-->

            <!--right-section-->

            <!--/right-section-->
        </div>
    </div>
</section>
<!--/section-->

<!-- create modal -->
<div id="create" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Create Meeting</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group">
                            <input type="text" placeholder="Company Name" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group">
                            <input type="text" placeholder="Appointment Date" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4">
                        <div class="form-group">
                            <input type="text" placeholder="Start Time" class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <input type="text" placeholder="End Time" class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <select class="form-control">
                                <option>EST</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group">
                            <input type="text" placeholder="Contact or Event Name (Optional)" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group">
                            <input type="text" placeholder="Contact Email (Optional)" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group">
                            <textarea class="form-control" rows="4" placeholder="Notes (Optional)"></textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <div class="center-block">
                    <button type="button" class="btn btn-theme2 stroke rounded" data-dismiss="modal">Cancel</button>
                    <input type="button" class="btn btn-theme rounded" value="Save">
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /create modal -->

<!-- info modal -->
<div id="meeting-info" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Meeting Details</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group info">
                            <label>Company Name</label>
                            <p>Giorgio Foods</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group info">
                            <label>Appointment Date</label>
                            <p>03/16/2018</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group info">
                            <label>Start Time</label>
                            <p>07:00 PM</p>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group info">
                            <label>End Time</label>
                            <p>08:00 PM - EST</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group info">
                            <label>Notes</label>
                            <p>Explore the history of the classic Lorem Ipsum passage and generate your own text using any number of characters, words, sentences or paragraphs. Commonly used as placeholder text in the graphic and print industries, Lorem Ipsum's origins extend far back to a scrambled Latin passage.</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <div class="center-block">
                    <button type="button" class="btn btn-theme2 stroke rounded" data-dismiss="modal">Cancel</button>
                    <input type="button" class="btn btn-theme rounded" value="Submit">
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /info modal-->
